> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Token - Metadata (Multi)

> Get metadata for multiple tokens



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/token/{chain}/metadata/multi
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/token/{chain}/metadata/multi:
    get:
      tags:
        - Token
      summary: Token - Metadata (Multi)
      description: Get metadata for multiple tokens
      operationId: get.metadata.multi
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddresses
          in: query
          description: >-
            A list of token addresses in string separated by commas (,). Maximum
            100 token addresses allowed
          required: true
          schema:
            type: string
          example: >-
            6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN,EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
      responses:
        '200':
          description: Get Metadata Multi
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  description: Token metadata
                  required:
                    - address
                    - chain
                    - symbol
                    - name
                    - decimals
                  properties:
                    address:
                      type: string
                      description: Token contract address
                      example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                    chain:
                      type: string
                      description: Blockchain network identifier
                      example: sol
                    coingeckoCoinId:
                      type:
                        - string
                        - 'null'
                      description: CoinGecko coin identifier
                      example: usd-coin
                    decimals:
                      type: string
                      description: Number of decimal places
                      example: '9'
                    description:
                      type:
                        - string
                        - 'null'
                      description: Token description
                      example: USDC is a stablecoin pegged to the US dollar
                    devLastTokenCreatedAt:
                      type:
                        - string
                        - 'null'
                      description: Timestamp of developer last token creation
                      example: '2025-12-03T09:23:34.000Z'
                    devTotalTokens:
                      type:
                        - string
                        - 'null'
                      description: Total number of tokens created by the developer
                      example: '163'
                    extra:
                      $ref: '#/components/schemas/TokenExtra'
                      description: Extended token metadata
                    firstTradeAt:
                      type:
                        - integer
                        - 'null'
                      format: int64
                      description: Timestamp of the first trade
                      example: 1714857600000
                    imageUrl:
                      type:
                        - string
                        - 'null'
                      description: Token logo image URL
                      example: >-
                        https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
                    metadataAddress:
                      type:
                        - string
                        - 'null'
                      description: On-chain metadata account address
                      example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
                    name:
                      type: string
                      description: Token display name
                      example: USD Coin
                    socialMedias:
                      $ref: '#/components/schemas/TokenSocialMedias'
                      description: Token social media links
                    symbol:
                      type: string
                      description: Token ticker symbol
                      example: USDC
                    tokenCreatedAt:
                      type:
                        - integer
                        - 'null'
                      format: int64
                      description: Token creation timestamp (milliseconds)
                      example: 1710417600000
                    tokenCreatedBlockHeight:
                      type:
                        - string
                        - 'null'
                      description: Block height when token was created
                      example: '220000000'
                    tokenCreatedSlot:
                      type:
                        - string
                        - 'null'
                      description: Slot number when token was created
                      example: '230000000'
                    tokenCreatedTxSignature:
                      type:
                        - string
                        - 'null'
                      description: Transaction signature of token creation
                      example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
                    tokenCreators:
                      type: array
                      items:
                        $ref: '#/components/schemas/TokenCreator'
                      description: List of token creators
                    translations:
                      $ref: '#/components/schemas/TokenTranslations'
                      description: Localized name/symbol translations
                    updatedAt:
                      type:
                        - string
                        - 'null'
                      description: Last updated timestamp
                      example: '2026-02-09T08:05:12.345Z'
                    uri:
                      type:
                        - string
                        - 'null'
                      description: Token metadata URI
                      example: https://arweave.net/abc123
                propertyNames:
                  type: string
              example:
                6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN:
                  address: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
                  chain: sol
                  decimals: '9'
                  imageUrl: https://example.com/sol.png
                  name: Solana
                  symbol: SOL
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT collection address
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: Whether the token has an active DexScreener advertisement
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Timestamp of the DexScreener advertisement
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Timestamp of the DexScreener boost
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener boost fee in USD
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: Whether the token appears in the DexScreener trending bar
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Timestamp of the DexScreener trending bar appearance
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: Whether the token profile links were updated on DexScreener
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Timestamp of the DexScreener link update
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: Edition nonce value
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: Freeze authority address
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: Whether the token is fungible
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: Whether metadata is mutable
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: Whether the token is native (e.g., SOL)
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: Whether the collection is verified
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: Whether the token is wrapped
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex account key type
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: Launch platform program address
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: Launch platform protocol family
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: Quote token address used at launch
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Migration timestamp (milliseconds)
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: Migrated-to pool address
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: Migrated-to program address
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: Migrated-to protocol family
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: Mint authority address
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: Whether the primary sale has occurred
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: Token program address
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: Seller fee in basis points
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: Token standard (e.g., Fungible)
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: Update authority address
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket repository URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord server URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook page URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster handle or URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub repository URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram handle
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn page URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium blog URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit community URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram group URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok handle
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter handle or URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: Official website URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube channel URL
          example: https://youtube.com/@circle
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: Creator wallet address
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: Whether the creator is verified
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: Creator revenue share percentage
          example: 100
    TokenTranslations:
      type: object
      description: |-
        Token translations for multi-locale display (e.g. Chinese markets).
        Sourced from CoinGecko `/coins/{id}` localization or community data.
      properties:
        nameZhcn:
          type:
            - string
            - 'null'
        symbolZhcn:
          type:
            - string
            - 'null'
        transName:
          type:
            - string
            - 'null'
        transSymbol:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````